package AST;
import Visitors.Visitor;

public class AddOpNode extends Node {
	
	public AddOpNode(String data){
		super(data);
	}
	
	public AddOpNode(String data, Node parent){
		super(data, parent);
	}
	
	public AddOpNode(String data, Node leftChild, Node rightChild){
		super(data); 
		this.addChild(leftChild);
		this.addChild(rightChild);
	}

	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}