package AST;
import java.util.List;

import Visitors.Visitor;

public class ClassListNode extends Node {
	
	public ClassListNode(){
		super("");
	}
	
	public ClassListNode(Node parent){
		super("", parent);
	}
	
	public ClassListNode(List<Node> listOfClassNodes){
		super("");
		for (Node child : listOfClassNodes)
			this.addChild(child);
	}

	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}