package AST;
import java.util.List;

import Visitors.Visitor;

public class FuncDefListNode extends Node {
	
	public FuncDefListNode(){
		super("");
	}
	
	public FuncDefListNode(Node parent){
		super("", parent);
	}
	
	public FuncDefListNode(List<Node> listOfFuncDefNodes){
		super("");
		for (Node child : listOfFuncDefNodes)
			this.addChild(child);
	}
	
	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}