package AST;
import Visitors.Visitor;

public class AssignStatNode extends Node {
	
	public AssignStatNode(){
		super("=");
	}
		
	public AssignStatNode(Node parent){
		super("=", parent);
	}
	
	public AssignStatNode(Node leftChild, Node rightChild){
		super("="); 
		this.addChild(leftChild);
		this.addChild(rightChild);
	}
	
	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}
