package AST;
import java.util.List;

import Visitors.Visitor;

public class DimListNode extends Node {
	
	public DimListNode(){
		super("");
	}
	
	public DimListNode(Node parent){
		super("", parent);
	}
	
	public DimListNode(List<Node> listOfDimNodes){
		super("");
		for (Node child : listOfDimNodes)
			this.addChild(child);
	}

	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}
