package AST;
import java.util.List;

import Visitors.Visitor;

public class ParamListNode extends Node {
	
	public ParamListNode(){
		super("");
	}
	
	public ParamListNode(Node parent){
		super("", parent);
	}
	
	public ParamListNode(List<Node> listOfParamNodes){
		super("");
		for (Node child : listOfParamNodes)
			this.addChild(child);
	}
	
	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}
