package AST;
import java.util.List;
import Visitors.Visitor;

public class ProgramBlockNode extends Node {
		
	public ProgramBlockNode(){
		super("");
	}
	
	public ProgramBlockNode(Node parent){
		super("", parent);
	}
	
	public ProgramBlockNode(List<Node> listOfStatOrVarDeclNodes){
		super("");
		for (Node child : listOfStatOrVarDeclNodes)
			this.addChild(child);
	}
	
	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}