package AST;
import java.util.List;
import Visitors.Visitor;

public class StatBlockNode extends Node {
		
	public StatBlockNode(){
		super("");
	}
	
	public StatBlockNode(Node parent){
		super("", parent);
	}
	
	public StatBlockNode(List<Node> listOfStatOrVarDeclNodes){
		super("");
		for (Node child : listOfStatOrVarDeclNodes)
			this.addChild(child);
	}
	
	public void accept(Visitor visitor) {
		visitor.visit(this);
	}
}
